Bug 319142 - Digikam complains it cannot find the database and then hangs forever.
Summary: Digikam complains it cannot find the database and then hangs forever.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Database (show other bugs)
Version: 3.0.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-01 06:15 UTC by Bruce Fleming
Modified: 2020-08-26 03:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 3.2.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruce Fleming 2013-05-01 06:15:04 UTC
Forever may be an exaggeration - but it is longer than 3 hours.

OpenSuse 12.3 - Digikam installed from OpenSuse site.  Digikam was happy in OpenSuse 12.1.

storage names have been modified as has the location of Photos and the .db file (which is and was in the Photos directory.

Is there a way of editing the digikam configuration file with an editor to refine variables so that Digikam will be able to find the db file and start up.

Note that I am computer literate (to a degree) but still finding my way around Linux.
Comment 1 caulier.gilles 2013-05-01 07:21:00 UTC
Look in your ~/.kde4/share/config/digikamrc file, especially in Database Settings section...

Gilles Caulier
Comment 2 Bruce Fleming 2013-05-10 12:23:18 UTC
On installing Libreoffice 4.0.2.2.1.1.1 and Libreoffice 3.6.2.6.4 the Australian Spell checker and the Australian Dictionary and Thesaurus were not available. After much searching the following site was located:

http://libreoffice-na.us/English-4.0-installs/dictionary.html#english

The North America LibreOffice Community DVD site.

I installed the English Australian Dictionary – twice – the first install installed the Spell checker, (clicking on Green English Australian Dictionary which downloaded and opened the extension installer tool) and the second, the Dictionary and Thesaurus. I then for good measure installed the Australian-medical dictionary, closed all of Libreoffice then reopened and was then able to select the English Australian spell checking.

That this was done automatically for many variations of Libreoffice and then for it to stop working I found very frustrating and I was on the verge of removing Linux and reverting back to Windows whose Installation process is much cleaner, its file structure more logical and it's applications (including Libreoffice) just work.
Comment 3 Bruce Fleming 2013-05-10 12:54:04 UTC
Very sorry, I copied the wrong fix here.  Digikam is now working I am running OpenSuse 12.3 and deleted DigiKam then reinstalled 3.1.0. On first start up, I cancelled the auto search for Database and DigiKam did not crash!!! I then modified all the path statements pointing them to all the existing locations and everything is working fine now.  

Again, sorry about the post about Libreoffice - but it may help lots of users that seem to be having similar problems with a variety of languages.